PTS-SUBSCRIBE(1)

NOM
pts-subscribe - Abonnement au PTS limité dans le temps

SYNOPSIS
pts-subscribe [options] paquet

pts-unsubscribe [options] paquet

DESCRIPTION
pts-subscribe envoie une demande d'abonnement pour le paquet au système de suivi des paquets (PTS), à pts@qa.debian.org, et se désabonne 30 jours plus tard.

Lorsque le programme est appelé en tant que pts-unsubscribe, envoie une demande de suppression de l'abonnement pour le paquet paquet au système de suivi des paquets.

Cet outil est utile si un développeur a effectué une NMU et veut suivre le paquet concerné pendant une période limitée.

OPTIONS

--until date, -u date
    Date à laquelle at(1) doit envoyer la demande de désabonnement, en utilisant la syntaxe de at. La valeur par défaut est "now + 30 days". Cette option doit probablement être protégée avec des guillemets !

--forever
    Ne pas supprimer l'abonnement automatiquement. Cela peut également être indiqué avec --until forever.

--help, -h
    Afficher un message d'aide et quitter avec succès.

--version
    Afficher la version et le copyright, puis quitter avec succès.

VARIABLES D'ENVIRONNEMENT

DEBEMAIL, EMAIL
    Si l'une d'elles est renseignée (avec une préférence donnée à DEBEMAIL), alors elle est utilisée comme adresse d'abonnement. Si aucune n'est renseignée, alors le message va être envoyé sans adresse d'abonnement et la ligne From: du message va être utilisée pour déterminer l'adresse de l'émetteur du message. Cela va être déterminé par mail(1).

VARIABLES DE CONFIGURATION
Les deux fichiers de configuration /etc/devscripts.conf et ~/.devscripts sont évalués dans cet ordre pour régler les variables de configuration. Des options de ligne de commande peuvent être utilisées pour écraser les paramètres des fichiers de configuration. Les variables d'environnement sont ignorées à cette fin. Les variables actuellement identifiées sont :

PTS_UNTIL
    Équivaut à fournir une option --until.

VOIR AUSSI
at(1), informations à propos du système de suivi des paquets (PTS) dans la Référence du Développeur à https://www.debian.org/doc/manuals/developers-reference/resources.html#pkg-tracking-system

AUTEUR
Ce programme a été écrit par Julian Gilbey <jdg@debian.org>, basé sur un prototype placé dans le domaine public par Raphaël Hertzog <hertzog@debian.org> et est distribué sous licence GPL, version 2 ou ultérieure.

TRADUCTION
Ce document est une traduction, maintenue à l'aide de l'outil po4a <https://po4a.org/> par l'équipe de traduction francophone du projet Debian.

Nicolas François, Guillaume Delacour, Cyril Brulebois, Thomas Huriaux et David Prévot ont réalisé cette traduction.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet devscripts.

La version anglaise la plus à jour de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man.